Package org.eclipse.wst.xsl.core.model

## org.eclipse.wst.xsl.core.model
Class CallTemplate

    public class CallTemplate
    extends org.eclipse.wst.xsl.core.model.XSLElement

The `xsl:call-template` model element.

## Field Summary

`package-private java.util.List` | `parameters`

## Constructor Summary

`CallTemplate(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

## Method Summary

`public void` | `addParameter(org.eclipse.wst.xsl.core.model.Parameter parameter)` Add a parameter to this.
`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `getModelType()`
`public java.lang.String` | `getName()` Get the value of the `name` attribute if one exists.
`public java.util.List` | `getParameters()` Get the list of parameters associated with this.

## Field Detail

## parameters

`package-private java.util.List parameters`

## Constructor Detail

## CallTemplate

`public CallTemplate(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

Create a new instance of this.

## Methods Detail

## addParameter

`public void addParameter(org.eclipse.wst.xsl.core.model.Parameter parameter)`

Add a parameter to this.

### Parameters

`parameter` - the parameter to add

## getModelType

`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type getModelType()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLModelObject.Type`

## getName

`public java.lang.String getName()`

Get the value of the `name` attribute if one exists.

### Returns

`java.lang.String` - the template name, or null

## getParameters

`public java.util.List getParameters()`

Get the list of parameters associated with this.

### Returns

`java.util.List` - a list of parameters